﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.FollowUpEnqModel>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)


    <style type="text/css">
        div.box div.overlay {
            display: none;
        }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>



    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
              .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>

    <script type="text/javascript">
        $(document).ready(function () {
            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');

            $("#UserList").val($("#usrhidden").val());
        });

    </script>
    <script type="text/javascript">
        function Submit() {
            searchfun();
        }

        function searchfun() {

            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var usr = $("#UserList").val();
            var referenceno = $("#txtreferenceno").val();

            window.location.href = "/MaEnqFollow/PendingIELTSFollowUpByCreateDate?name=" + name + "&&mobile=" + mobile + "&&dt1=" + date + "&&dt2=" + todate + "&&uid=" + usr + "&referenceno=" + referenceno;
            $("#UserList").val(usr);
        }

        function GetReport(vel) {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var usr = $("#UserList").val();
            var referenceno = $("#txtreferenceno").val();

            window.location.href = "/MaEnqFollow/PendingIELTSFollowUpByCreateDate?name=" + name + "&&mobile=" + mobile + "&&dt1=" + date + "&&dt2=" + todate + "&&uid=" + usr + "&referenceno=" + referenceno + "&Print=" + vel;
        }

        $(document).ready(function () {

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });
    </script>

}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Pending List of IELTS Test Follow Up
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 850px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                <b>REFERENCE NO.</b>
            </td>
            <td style="vertical-align: middle">
                <b>Name</b>
            </td>
            <td style="vertical-align: middle">
                <b>Mobile</b>
            </td>
            <td style="width: 120px">
                <b>From Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>To Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>Enquiry Handled By</b>
            </td>
            <td align="left"></td>
        </tr>
        <tr>
            <td>
                <input type="text" style="width: 120px" id="txtreferenceno" value="@ViewBag.referenceno" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtname" value="@ViewBag.name" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtmobile" value="@ViewBag.mobile" />
            </td>
            <td>
                <input id="dateofwnquiry" type="date" style="width: 120px" value="@ViewBag.dt1" />
            </td>
            <td></td>
            <td>
                <input id="tdate" type="date" style="width: 120px" value="@ViewBag.dt2" />
            </td>
            <td></td>
            <td>
                @Html.DropDownList("UserList", "All")
                <input type="hidden" id="usrhidden" value="@ViewBag.usr" />
            </td>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                    </tr>
                </table>
            </td>
            <td align="left" valign="top">
                <div class="dropdown">
                    <button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:114px">
                        Get Report
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="#" onclick="GetReport('PDF')">PDF</a></li>
                        <li><a href="#" onclick="GetReport('Excel')">Excel</a></li>

                    </ul>
                </div>

            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    @Html.ActionLink("Search By Next Follow Date", "PendingIELTSFollowUp")
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*  @Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            Student Type
                        </th>
                        <th>
                            REFERENCE No.
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Category
                        </th>
                        <th>
                            Ielts Test Date
                        </th>
                        <th>
                            Mobile
                        </th>

                        <th>
                            Overall Score
                        </th>
                        <th>
                            Follow Up Create Date
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Enq. Status
                        </th>

                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {

                        if (item.StudentType == "Admission")
                        {
                            <tr>
                                <td>
                                    @Html.DisplayFor(modelitem => item.StudentType)
                                </td>
                                <td>
                                    @Html.ActionLink(item.Rollno.ToString(), "AllTestofStudent", "Tb_MockTest", new { id = item.AdmissionId }, new { @class = "myeditAcBtn" })

                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.FirstName)
                                    @Html.DisplayFor(modelItem => item.LastName)
                                </td>
                                <td>
                                    @{



                            //MaAdmission enq = db.MaAdmission.Where(z => z.Id == item.AdmissionId).First();
                            //string enqab = "";
                            //if (enq.EnquirySpkEng == true)
                            //{
                            //    enqab = "Spoken English ";
                            //}
                            //if (enq.EnquiryStyVisa == true)
                            //{
                            //    enqab += "Study Visa ";
                            //}
                            //if (enq.EnquiryIELGT == true)
                            //{
                            //    enqab += "IELTS GT ";
                            //}

                            //if (enq.EnquiryIELAC == true)
                            //{
                            //    enqab += "IELTS AC";
                            //}
                                    }
                                    @item.enqab
                                </td>
                                <td>
                                    @{string walkdate = string.Format("{0:dd MMM,yyyy}", @item.ieltstestdate);}
                                    @walkdate
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Mobile)
                                </td>



                                <td>
                                    @Html.DisplayFor(modelItem => item.overallscore)
                                </td>
                                <td>
                                    @{
                            string nxtdate = string.Format("{0:dd MMM, yyyy}", item.CreateDate);
                                    }
                                    @nxtdate

                                </td>

                                <td width="100px" style="overflow: hidden">

                                    @{
                                        //string rem = item.Remarks;
                                        string rem = db.MaAdmissions.Where(x => x.Id == item.AdmissionId).Select(x => x.Afremarks).FirstOrDefault();

                                        if (rem != null)
                                        {
                                            if (rem.Length > 20)
                                            {
                                                string sustrg = rem.Substring(0, 20);
                                    @sustrg
                                        <br />
                                        <div class="box">
                                            <a id="remarks">Read-More...</a>
                                            <div class="overlay">
                                                @rem
                                            </div>
                                        </div>
                                }
                                else
                                {
                                    @rem
                                }
                            }
                                    }


                                </td>
                                <td>

                                    @item.Status

                                </td>

                                <td>
                                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", "Tb_IELTSResult", new { id = item.Id }, null, null)
                                    @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", "Tb_IELTSResult", new { id = item.Id }, null, null)
                                    @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_IELTSCreate", "MaEnqFollow", new { id = item.Id, reftype = "IELTS", name = item.FirstName + " " + item.LastName, refno = item.Rollno }, new { @class = "editAcBtn" }, null)
                                </td>
                            </tr>
                        }
                        else
                        {
                            <tr>
                                <td>
                                    @Html.DisplayFor(modelitem => item.StudentType)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelitem => item.Rollno)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.FirstName)
                                    @Html.DisplayFor(modelItem => item.LastName)
                                </td>
                                <td>
                                    @*@{



                                        MaEnquiry enq = db.MaEnquiries.Where(z => z.Id == item.AdmissionId).First();
                                        string enqab = "";
                                        if (enq.EnquirySpkEng == true)
                                        {
                                            enqab = "Spoken English ";
                                        }
                                        if (enq.EnquiryStyVisa == true)
                                        {
                                            enqab += "Study Visa ";
                                        }
                                        if (enq.EnquiryIELGT == true)
                                        {
                                            enqab += "IELTS GT ";
                                        }

                                        if (enq.EnquiryIELAC == true)
                                        {
                                            enqab += "IELTS AC";
                                        }
                                                }*@
                                    @item.enqab
                                </td>
                                <td>
                                    @{string walkdate = string.Format("{0:dd MMM,yyyy}", item.ieltstestdate);}
                                    @walkdate
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Mobile)
                                </td>

                                <td>
                                    @Html.DisplayFor(modelItem => item.overallscore)
                                </td>
                                <td>
                                    @{
                            string nxtdate = string.Format("{0:dd MMM, yyyy}", item.nxdt);
                            @nxtdate
                                    }


                                </td>

                                <td width="100px" style="overflow: hidden">
                                    @*@item.Remarks*@
                                    @*@{ 
                                        string rem1 = db.MaAdmissions.Where(x => x.Id == item.AdmissionId).Select(x => x.Afremarks).FirstOrDefault();
                                    }
                                    @rem1*@

                                </td>
                                <td>
                                    @item.Status
                                </td>
                                <td>
                                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", "Tb_IELTSResult", new { id = item.Id }, null, null)
                                    @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", "Tb_IELTSResult", new { id = item.Id }, null, null)


                                    @{

                            if (item.StudentType == "Enquiry")
                            {
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_IELTSCreate", "MaEnqFollow", new { id = item.Id, reftype = "IELTS", name = item.FirstName + " " + item.LastName, refno = item.Rollno }, new { @class = "editAcBtn" }, null)
                            }
                            else
                            {
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_IELTSCreate", "MaEnqFollow", new { id = item.Id, reftype = "IELTS", name = item.FirstName + " " + item.LastName, refno = item.Id }, new { @class = "editAcBtn" }, null)

                            }
                                    }


                                </td>
                            </tr>
                        }
                    }
                </tbody>
            </table>
        </div>
        <table width="100%" align="center">
            <tr>
                <td align="left" width="50%">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
        <div id="editDialog" title="Add IELTS Test Follow Up" style="width: 556px">
        </div>
    </div>
</div>
